## gpredict 0.9.0

=== win32/Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # directories
 topsrc = ..
-gcincdir = $(topsrc)/goocanv4
-gcsrcdir = $(topsrc)/goocanv4/src
+gcincdir = $(topsrc)/goocanv8
+gcsrcdir = $(topsrc)/goocanv8/src
 gpreddir = $(topsrc)/src
 sgpsdpdir = $(gpreddir)/sgpsdp
 
@@ -28,7 +28,7 @@
 
 # flags/defines
 CFLAGS = -DHAVE_CONFIG_H -DHAVE_LIBCURL -DPACKAGE_LOCALE_DIR=\"/\"  \
-	 -I. -I$(gpreddir) -I$(gcincdir) -I$(gcsrcdir) -I$(CROSSDIR)/include
+	 -I. -I.. -I$(gpreddir) -I$(gcincdir) -I$(gcsrcdir) -I$(CROSSDIR)/include
 GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0)
 
 # source paths
@@ -56,29 +56,24 @@
 GOOCANVSRC = \
         goocanvasatk.c             \
         goocanvasellipse.c         \
-        goocanvasellipseview.c     \
-        goocanvasgroup.c           \
-        goocanvasgroupview.c       \
-        goocanvasimage.c           \
-        goocanvasimageview.c       \
-        goocanvasitem.c            \
-        goocanvasitemsimple.c      \
-        goocanvasitemview.c        \
-        goocanvasitemviewsimple.c  \
-	goocanvasmarshal.c         \
-        goocanvasmodel.c           \
-        goocanvasmodelsimple.c     \
-        goocanvaspolyline.c        \
-        goocanvaspolylineview.c    \
-        goocanvaspath.c            \
-        goocanvaspathview.c        \
-        goocanvasprivate.h         \
-        goocanvasrect.c            \
-        goocanvasrectview.c        \
-        goocanvastext.c            \
-        goocanvastextview.c        \
-        goocanvasutils.c           \
-        goocanvasview.c 
+	goocanvasenumtypes.c		\
+	goocanvasgroup.c		\
+	goocanvasimage.c		\
+	goocanvasitem.c			\
+	goocanvasitemmodel.c		\
+	goocanvasitemsimple.c		\
+	goocanvasmarshal.c		\
+	goocanvaspolyline.c		\
+	goocanvaspath.c			\
+	goocanvasprivate.h		\
+	goocanvasrect.c			\
+	goocanvasstyle.c		\
+	goocanvastable.c		\
+	goocanvastext.c			\
+	goocanvasutils.c		\
+	goocanvaswidget.c		\
+	goocanvas.c 
+
 
 GOOCANVOBJ = $(GOOCANVSRC:.c=.o)
 
@@ -88,6 +83,7 @@
 	compat.c \
 	first-time.c \
 	gpredict-help.c \
+	gpredict-url-hook.c \
 	gpredict-utils.c \
 	gtk-azel-plot.c \
 	gtk-polar-plot.c \
@@ -116,11 +112,13 @@
 	mod-mgr.c \
 	orbit-tools.c \
 	pass-popup-menu.c \
+	pass-to-txt.c \
 	predict-tools.c \
 	qth-editor.c \
 	sat-cfg.c \
 	sat-debugger.c \
 	sat-log.c \
+	sat-log-browser.c \
 	sat-monitor.c \
 	sat-pass-dialogs.c \
 	sat-popup-menu.c \
@@ -148,6 +146,7 @@
 	sat-pref-sky-at-glance.c \
 	sat-pref-tle.c \
 	sat-vis.c \
+	save-pass.c \
 	time-tools.c \
 	tle-lookup.c \
 	tle-update.c \
@@ -165,6 +164,9 @@
 
 all: libgoocanvas.dll libsgpsdp.dll gpredict.exe
 
+
+# Use -mconsole to always open a console window when gpredicxt is started
+# Use -mwindows for no copnsole
 gpredict.exe: $(OBJS) gpredict_res.o
 	$(CC) -mconsole -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s
