## gpredict 1.1

=== win32/Makefile ===
--- 
+++ 
@@ -86,9 +86,12 @@
 	gpredict-url-hook.c \
 	gpredict-utils.c \
 	gtk-azel-plot.c \
+	gtk-freq-knob.c \
 	gtk-polar-plot.c \
 	gtk-polar-view.c \
 	gtk-polar-view-popup.c \
+	gtk-rot-ctrl.c \
+	gtk-rot-knob.c \
 	gtk-sat-data.c \
 	gtk-sat-list.c \
 	gtk-sat-list-col-sel.c \
@@ -115,6 +118,10 @@
 	pass-to-txt.c \
 	predict-tools.c \
 	qth-editor.c \
+	radio-conf.c \
+	rig-io.c \
+	rotor-conf.c \
+	rdv.c \
 	sat-cfg.c \
 	sat-debugger.c \
 	sat-log.c \
@@ -140,7 +147,9 @@
 	sat-pref-qth-editor.c \
 	sat-pref-refresh.c \
 	sat-pref-rig.c \
+	sat-pref-rig-editor.c \
 	sat-pref-rot.c \
+	sat-pref-rot-editor.c \
 	sat-pref-single-pass.c \
 	sat-pref-single-sat.c \
 	sat-pref-sky-at-glance.c \
@@ -149,6 +158,7 @@
 	save-pass.c \
 	time-tools.c \
 	tle-lookup.c \
+	tle-tools.c \
 	tle-update.c \
 
 GPREDICTOBJ = $(GPREDICTSRC:.c=.o)
