## gpredict 1.1-7

=== debian/changelog ===
gpredict (1.1-7) unstable; urgency=low

  * Fix "Menu item Help -> License doesn't do anything; missing COPYING
    file" Added dh_link to rules from GPL2 COPYING file as suggested
    by Kamal Mostafa. (Closes: #578585)

 -- Fernando M. Maresca <fmaresca@gmail.com>  Sun, 16 May 2010 09:31:11 -0300

gpredict (1.1-6) unstable; urgency=low

  * Fix "Fix desktop-file-validate warnings in the .desktop file"
    Removed Encoding: line, removed Application from Categories, removed the
    .png extension from Icon in the debian/gpredict.desktop (Closes: #572722)

 -- Fernando M. Maresca <fmaresca@gmail.com>  Tue, 13 Apr 2010 14:20:11 -0300

gpredict (1.1-5) unstable; urgency=low

  * Change debian/control Standards-Version from 3.8.3 to 3.8.4.
  * Add missing dependencies on ${misc:Depends}

 -- Fernando M. Maresca <fmaresca@gmail.com>  Sun, 31 Jan 2010 15:35:33 -0300

gpredict (1.1-4) unstable; urgency=low

  * Fix "Incorrect KDE menu entry showing up in Lost and Found [nb]"
    debian/gpredict.desktop modified as proposed by Petter Reinholdtsen
    so gpredict show up in several places in the menu, making it easier to
    find. (Closes: #489247)

 -- Fernando M. Maresca <fmaresca@gmail.com>  Sun, 31 Jan 2010 12:54:12 -0300

gpredict (1.1-3) unstable; urgency=low

  * Change debian/compat from 4 to 7.
  * Change debian/control Standards-Version from 3.8.0 to 3.8.3.

 -- Fernando M. Maresca <fmaresca@gmail.com>  Sun, 06 Dec 2009 18:32:53 -0300

gpredict (1.1-2) unstable; urgency=low

  * Changes buiil-dependecies to add intltool > 2.1 (closes: #555953)

 -- Fernando M. Maresca <fmaresca@gmail.com>  Fri, 13 Nov 2009 11:11:16 -0300

gpredict (1.1-1) unstable; urgency=low

  [ Fernando M. Maresca ]
  * Fix "new upstream version 1.1 available" (Closes: #550081)
    * Fixes typos (closes: #455578, #520203)

  [ Hamish Moffatt ]
  * Change maintainer to debian-hams

 -- Hamish Moffatt <hamish@debian.org>  Thu, 12 Nov 2009 17:21:53 +1100

gpredict (0.8.0-2) unstable; urgency=low

  * Fix FTBFS with GTK 2.12.0 by disabling GTK_DISABLE_DEPRECATED
    for now (closes: #444514)
  * Change desktop file: remove Education as a category as it's not
    appropriate for this package.

 -- Hamish Moffatt <hamish@debian.org>  Sun, 30 Sep 2007 01:11:58 +1000

gpredict (0.8.0-1) unstable; urgency=low

  * New upstream release
    * Fixes conflict between gpredict and libgoocanvas-common (closes:
      #423144)
  * Updated desktop and menu files for latest section policies 

 -- Hamish Moffatt <hamish@debian.org>  Thu, 13 Sep 2007 00:14:34 +1000

gpredict (0.6.1-1) unstable; urgency=low

  * New upstream release, now for GTK+ 2.
  * Changed build-dependencies to remove GNOME 1 and GTK 1.2 libraries.
  * Fixed spelling error in description (closes: #363621)

 -- Hamish Moffatt <hamish@debian.org>  Tue, 12 Sep 2006 22:43:33 +1000

gpredict (0.5.3-2) unstable; urgency=low

  * Fixed category in .desktop ("Ham Radio" -> "HamRadio")
  * Fixed creation of empty old directory /usr/lib/menu
  * Updated to standards-revision 3.7.2

 -- Hamish Moffatt <hamish@debian.org>  Sun,  2 Jul 2006 01:19:45 +1000

gpredict (0.5.3-1) unstable; urgency=low

  * New upstream release
  * Build-depend on libhamlib-dev (new) | hamlib4-dev (old)
  * Update to standards-revision 3.6.2
  * Add watch file

 -- Hamish Moffatt <hamish@debian.org>  Fri, 21 Apr 2006 22:38:21 +1000

gpredict (0.5.1-2) unstable; urgency=low

  * Rebuild against latest GNOME 1 libraries (linked against libpng12)
    Thanks to Thomas Bushnell for taking over these libraries.

 -- Hamish Moffatt <hamish@debian.org>  Sat,  8 Oct 2005 14:39:35 +1000

gpredict (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Mon,  8 Aug 2005 00:16:39 +1000

gpredict (0.4.0-7) unstable; urgency=low

  * Rebuild with hamlib3 1.2.4 (updated build-deps)
  * Updated to Standards-Revision 3.6.1

 -- Hamish Moffatt <hamish@debian.org>  Sun, 10 Apr 2005 13:49:19 +0000

gpredict (0.4.0-6) unstable; urgency=low

  * Rebuild with hamlib3
  * Fix problems compiling with gcc 3.4 (closes: #258748)
    (thanks to Andrea Jochens for the patch)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 12 Dec 2004 23:28:06 +1100

gpredict (0.4.0-5) unstable; urgency=low

  * NMU to rebuild with latest hamlib. Closes: #276523.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 19 Oct 2004 11:23:51 +0200

gpredict (0.4.0-4) unstable; urgency=low

  * Rebuild with latest hamlib (closes: #238009)

 -- Hamish Moffatt <hamish@debian.org>  Wed, 17 Mar 2004 00:15:47 +1100

gpredict (0.4.0-3) unstable; urgency=low

  * Rebuild with latest hamlib to get proper dependencies
    (closes: #194603)

 -- Hamish Moffatt <hamish@debian.org>  Tue, 27 May 2003 09:10:16 +1000

gpredict (0.4.0-2) unstable; urgency=low

  * Recompile with hamlib 1.1.4 support

 -- Hamish Moffatt <hamish@debian.org>  Sat, 10 May 2003 10:16:17 +1000

gpredict (0.4.0-1) unstable; urgency=low

  * First release

 -- Hamish Moffatt <hamish@debian.org>  Tue, 29 Apr 2003 23:55:34 +1000
