=== debian/watch ===
version=3
http://sf.net/groundstation/gpredict-(.*)\.tar\.gz
