=== debian/changelog ===
gpredict (1.3-2ubuntu2) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 04 Feb 2014 20:14:41 -0500

gpredict (1.3-2ubuntu1) quantal; urgency=low

  * Merge from Debian testing. (LP: #859367) Remaining changes:
   - Apply patch from hamaa1vs to resolve the application becoming
     unresponsive when the day or time slider is adjusted.
  * Rename debian/patches/debian-changes-1.3-1ubuntu1 to
    debian/patches/lp-789691.patch and add DEP3 header. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 22 May 2012 19:32:48 -0400

gpredict (1.3-2) unstable; urgency=low

  * Fix control file description text. (Closes: #644531)

 -- Fernando M. Maresca <fmaresca@gmail.com>  Sat, 08 Oct 2011 17:59:01 -0300

gpredict (1.3-1ubuntu1) oneiric; urgency=low

  * Apply patch from hamaa1vs to resolve the application becoming
    unresponsive when the day or time slider is adjusted.
    (LP: #789691)

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 19 Jul 2011 17:18:01 -0400

gpredict (1.3-1) unstable; urgency=low

  * New upstream release, includes da.po.
  * Fix debian/watch file (thanks Charles Suprin).

 -- Fernando M. Maresca <fmaresca@gmail.com>  Fri, 04 Mar 2011 17:38:21 -0300

gpredict (1.2-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * New upstream release (Closes: #614251)

 -- Fernando M. Maresca <fmaresca@gmail.com>  Mon, 21 Feb 2011 12:32:33 -0300
