=== debian/control ===
Source: gpredict
Section: hamradio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Hamish Moffatt <hamish@debian.org>, Fernando M. Maresca <fmaresca@gmail.com>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), libhamlib-dev | hamlib-dev (>= 1.2.4), libgtk2.0-dev, libglib2.0-dev, libxml-parser-perl, libcurl4-gnutls-dev | libcurl-dev, libgoocanvas-dev, intltool (>>0.21.0), autotools-dev

Package: gpredict
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Satellite tracking program
 Gpredict is a real time satellite tracking program for GNOME, based on
 the tracking engine of John Magliacane's excellent satellite tracker Predict.
 .
 Gpredict includes the following features:
 .
  * Tracking an infinite number of satellites limited only by the
    physical memory and processing power of the computer.
  * Display the tracking data in lists, maps, polar plots or any
    combination of these.
  * You can have many modules open at the same time, either in a
    notebook or in their own windows. The module can also run in
    full-screen mode.
  * You can use many ground stations. Ground station coordinates
    can be entered manually or you can get some approximate values
    from a list with more than 2000 predefined locations worldwide.
  * Predict upcoming passes for satellites, including passes where a 
    satellite may be visible and communication windows open.
  * Very detailed information about both the real time data and the
    predicted passes.
  * Gpredict can run in real-time, simulated real-time (fast forward and
    backward), and manual time control.
  * Doppler tuning of radios via Hamlib rigctld.
  * Antenna rotator control via Hamlib rotctld.
