=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,16 @@
 
 build:
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	./configure --prefix=/usr --datarootdir=/usr/share
 
 	$(MAKE)
 	touch build
-
 clean:
 	dh_testdir
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f build intltool-merge intltool-extract intltool-update config.log
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 binary-indep:	build
