=== debian/watch ===
version=3
http://sf.net/gpredict/gpredict-(.+)\.tar\.gz
