## gpredict 2.0

=== win32/Makefile ===
--- 
+++ 
@@ -5,13 +5,15 @@
 
 # directories
 topsrc = ..
-gcincdir = c:/mingw/include/goocanvas-0.10/goocanvas/
-gcsrcdir = $(topsrc)/goocanv8/src
+glibdir = c:/mingw/include/glib-2.0
+gcincdir = c:/mingw/include/goocanvas-1.0/
+gcsrcdir = $(topsrc)/goocanvas-0.15/src
+
 gpreddir = $(topsrc)/src
 sgpsdpdir = $(gpreddir)/sgpsdp
 
 # tools
-CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32
+CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32 -Wl,-subsystem,windows 
 AS = $(MGW_PREFIX)as
 DLLWRAP = $(MGW_PREFIX)dllwrap
 DLLWRAP_FLAGS = --as=$(AS) --export-all --driver-name $(CC) -s
@@ -25,10 +27,9 @@
 GUI_LIBS = $(GTKLIBS) $(GLIBLIB) -lgoocanvas libsgpsdp.lib -lcurldll -lwinmm -lws2_32
 LIBS = -lm
 
-
 # flags/defines
 CFLAGS = -DHAVE_CONFIG_H -DHAVE_LIBCURL -DPACKAGE_LOCALE_DIR=\"/\"  \
-	 -I. -I.. -I$(gpreddir) -I$(gcincdir) -I$(gcsrcdir) -I$(CROSSDIR)/include
+	 -I. -I.. -I$(glibdir) -I$(gpreddir) -I$(gcincdir) -I$(gcsrcdir) -I$(CROSSDIR)/include
 GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0)
 
 # source paths
@@ -105,6 +106,7 @@
 	gtk-sat-module.c \
 	gtk-sat-module-popup.c \
 	gtk-sat-module-tmg.c \
+    gtk-sat-popup-common.c \
 	gtk-sat-selector.c \
 	gtk-single-sat.c \
 	gtk-sky-glance.c \
@@ -113,6 +115,7 @@
 	loc-tree.c \
 	main.c \
 	map-selector.c \
+	map-tools.c \
 	menubar.c \
 	mod-cfg.c \
 	mod-cfg-get-param.c \
@@ -121,6 +124,7 @@
 	pass-popup-menu.c \
 	pass-to-txt.c \
 	predict-tools.c \
+	print-pass.c \
 	qth-data.c \
 	qth-editor.c \
 	radio-conf.c \
@@ -159,6 +163,7 @@
 	sat-pref-tle.c \
 	sat-vis.c \
 	save-pass.c \
+	strnatcmp.c \
 	time-tools.c \
 	tle-tools.c \
 	tle-update.c \
@@ -181,7 +186,7 @@
 # Use -mconsole to always open a console window when gpredicxt is started
 # Use -mwindows for no copnsole
 gpredict.exe: $(OBJS) gpredict_res.o
-	$(CC) -mconsole -mthread -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s
+	$(CC) -mconsole -mthreads -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s
 
 gpredict_res.o: gpredict.rc 
 	$(RC) $(RCFLAGS) $< $@
