=== debian/changelog ===
gpredict (2.0-4) unstable; urgency=medium

  * Update to v2.1-123-gc6bc520

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 28 Dec 2017 09:01:00 -0500

gpredict (2.0-3) unstable; urgency=medium

  * Update to v2.0-12-g15f8992
  * Use Debian version in git-version-gen

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 12 Dec 2017 20:27:58 -0500

gpredict (2.0-2) unstable; urgency=medium

  * fix watch file
  * update to v2.0-4-gf4287dc using upstream git commits
  * Note more upstream changes here:
    New logo
    Initial port to Gtk+ 3
    Import transponder data from Satnogs database https://db.satnogs.org/
    Support for multiple TLE sources
    Improved radio and antenna rotator controllers (no application freeze)
    Map can be centered around arbitrary longitude
    Natural sort function for satellite list in module configuration
    Select a satellite in all views
    AOS and LOS signalling in rigctl interface
    Autotrack satellites in a module
    Support for user defined end stops on Azimuth axis
    Experimental gpsd support
    Change frequency and antenna position using the mouse wheel
    Highlight satellites within range in the list view
    Improved handling of decayed satellites
    Fixed application freezing while talking to radios and rotators
    Fixed incorrect program name in desktop files
    Fixed 100% CPU load on manual time adjustment
    Fixed issue controlling Yaesu FT-847
    Fixed old log files not being saved
    Fixed track button in rotator controller having no effect
    Fixed operational status of satellites
    Fixed wrong icon in time controller
    Fixed mising ground track for new satellites
    Fixed show next pass shows the current pass
    Fixed problems with plotting footprints near the poles
    Fixed satellite nickname not escaped for Pango
    Updated translations

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Dec 2017 10:54:40 -0500

gpredict (2.0-1) unstable; urgency=medium

  * New upstream release - GTK-3 (Closes: #785551)
  * Updated packaging: control, rules, watch
  * Update to standards-revision 4.1.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Dec 2017 21:34:39 -0500

gpredict (1.3-3) unstable; urgency=medium

  * Update to standards-revision 3.9.6
  * Add Homepage to debian/control
  * fix FTBFS on new ports (Closes: #762483)

 -- Colin Tuckley <colint@debian.org>  Tue, 05 May 2015 16:54:50 +0100
