=== debian/control ===
Source: gpredict
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>,
           Colin Tuckley <colint@debian.org>
Homepage: http://gpredict.oz9aec.net/
Standards-Version: 4.1.1
Build-Depends: autoconf,
               automake,
               debhelper (>= 10),
               intltool,
               libcurl4-gnutls-dev | libcurl-dev,
               libglib2.0-dev,
               libgoocanvas-2.0-dev,
               libgtk-3-dev,
               libtool,
               pkg-config

Package: gpredict
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gpsd, libhamlib-utils
Description: Satellite tracking program
 Gpredict is a real time satellite tracking and orbit prediction program
 for the Linux desktop. It uses the SGP4/SDP4 propagation algorithms together
 with NORAD two-line element sets (TLE).
 .
 Some core features of Gpredict include:
 .
  * Tracking of a large number of satellites only limited by the physical
    memory and processing power of the computer
  * Display the tracking data in lists, maps, polar plots and any combination
    of these
  * Have many modules open at the same either in a notebook or in their own
    windows. The modules can also run in full-screen mode
  * You can use many ground stations
  * Predict upcoming passes
  * Gpredict can run in real-time, simulated real-time (fast forward and
    backward), and manual time control
  * Detailed information both the real time and non-real time modes
  * Doppler tuning of radios via Hamlib rigctld
  * Antenna rotator control via Hamlib rotctld
