## gpredict 2.3-33

=== win32/Makefile ===
--- 
+++ 
@@ -1,45 +1,53 @@
 # Makefile for cross-compiling gpredict for win32 on Linux,
 # using mingw compiler
 
+# configure pkg-config, version from git
 include config.mk
+
+# version string in C code
+VERSION_SHORT = $(GITMAJ).$(GITMIN).$(GITBLD)
+VERSION_LONG = $(GITMAJ).$(GITMIN).0.$(GITBLD)
+
+# cross-compiler prefix
+MGW_PREFIX=i686-w64-mingw32-
 
 # directories
 topsrc = ..
-glibdir = c:/mingw/include/glib-2.0
-gcincdir = c:/mingw/include/goocanvas-1.0/
-gcsrcdir = $(topsrc)/goocanvas-0.15/src
-
 gpreddir = $(topsrc)/src
 sgpsdpdir = $(gpreddir)/sgpsdp
+nxjsondir = $(gpreddir)/nxjson
 
 # tools
-CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32 -Wl,-subsystem,windows 
+CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32 -m32
 AS = $(MGW_PREFIX)as
 DLLWRAP = $(MGW_PREFIX)dllwrap
 DLLWRAP_FLAGS = --as=$(AS) --export-all --driver-name $(CC) -s
 RC = $(MGW_PREFIX)windres
-RCFLAGS = --define __WIN32__ --define __WIN95__ --define MSRC \
-	--define __GNUWIN32__
+# NB: .rc file create various version formats from the numbers
+RCFLAGS = --define __WIN32__ --define __WIN95__ --define MSRC --define __GNUWIN32__ \
+	--define VERMAJ=$(GITMAJ) --define VERMIN=$(GITMIN) --define VERBLD=$(GITBLD)
 
 # libraries
-GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs gtk+-win32-2.0)
-GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0 gthread-2.0)
-GUI_LIBS = $(GTKLIBS) $(GLIBLIB) -lgoocanvas libsgpsdp.lib -lcurldll -lwinmm -lws2_32
+GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --libs gtk+-3.0)
+GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --libs glib-2.0 gthread-2.0)
+GOOLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --libs goocanvas-2.0)
+GUI_LIBS = $(GTKLIBS) $(GLIBLIB) $(GOOLIBS) libsgpsdp.lib -lwinmm -lwininet -lws2_32
 LIBS = -lm
 
 # flags/defines
-CFLAGS = -DHAVE_CONFIG_H -DHAVE_LIBCURL -DPACKAGE_LOCALE_DIR=\"/\"  \
-	 -I. -I.. -I$(glibdir) -I$(gpreddir) -I$(gcincdir) -I$(gcsrcdir) -I$(CROSSDIR)/include
-GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0)
+GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --cflags gtk+-3.0)
+GOO_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --cflags goocanvas-2.0)
+CFLAGS = -DVERSION_SHORT=$(VERSION_SHORT) -DHAVE_CONFIG_H -DPACKAGE_LOCALE_DIR=\"/\" -I. -I.. -I$(gpreddir) $(GOO_CFLAGS)
 
 # source paths
-vpath %.c $(gcsrcdir)
 vpath %.c $(sgpsdpdir)
 vpath %.c $(gpreddir)
 vpath %.h $(gpreddir)
 vpath %.h $(sgpsdpdir)
-vpath %.h $(gcsrcdir)
+vpath %.c $(nxjsondir)
+vpath %.h $(nxjsondir)
 vpath %.rc $(topsrc)/win32
+vpath %.c .
 
 #### End of system configuration section. ####
 
@@ -53,6 +61,10 @@
 
 SGPSDPOBJ = $(SGPSDPSRC:.c=.o)
 
+NXJSONSRC = \
+	nxjson.c
+
+NXJSONOBJ = $(NXJSONSRC:.c=.o)
 
 GOOCANVSRC = \
         goocanvasatk.c             \
@@ -84,11 +96,10 @@
 	compat.c \
 	first-time.c \
 	gpredict-help.c \
-	gpredict-url-hook.c \
 	gpredict-utils.c \
 	gtk-azel-plot.c \
-        gtk-event-list.c \
-        gtk-event-list-popup.c \
+    gtk-event-list.c \
+    gtk-event-list-popup.c \
 	gtk-freq-knob.c \
 	gtk-polar-plot.c \
 	gtk-polar-view.c \
@@ -99,7 +110,6 @@
 	gtk-sat-data.c \
 	gtk-sat-list.c \
 	gtk-sat-list-popup.c \
-	gtk-sat-list-col-sel.c \
 	gtk-sat-map.c \
 	gtk-sat-map-ground-track.c \
 	gtk-sat-map-popup.c \
@@ -130,7 +140,6 @@
 	radio-conf.c \
 	rotor-conf.c \
 	sat-cfg.c \
-	sat-debugger.c \
 	sat-info.c \
 	sat-log.c \
 	sat-log-browser.c \
@@ -141,7 +150,6 @@
 	sat-pref-debug.c \
 	sat-pref-formats.c \
 	sat-pref-general.c \
-	sat-pref-help.c \
 	sat-pref-interfaces.c \
 	sat-pref-layout.c \
 	sat-pref-list-view.c \
@@ -168,10 +176,12 @@
 	tle-tools.c \
 	tle-update.c \
 	trsp-conf.c \
+	trsp-update.c \
+	win32-fetch.c
 
 GPREDICTOBJ = $(GPREDICTSRC:.c=.o)
 
-OBJS = $(SGPSDPOBJ) $(GPREDICTOBJ)
+OBJS = $(SGPSDPOBJ) $(NXJSONOBJ) $(GPREDICTOBJ)
 
 %.o: %.c
 	$(CC) -c $(CFLAGS) $(GTK_CFLAGS) $<
@@ -180,16 +190,34 @@
 
 # targets begin
 
-all: libsgpsdp.dll gpredict.exe
-
+all: libsgpsdp.dll gpredict.exe gpredict-con.exe
+
+dist: gpredict-$(GITMAJ).$(GITMIN).$(GITBLD).zip
+
+gpredict-$(GITMAJ).$(GITMIN).$(GITBLD).zip: all
+	mkdir -p gpredict/share/gpredict
+	cp -p libsgpsdp.dll gpredict.exe gpredict-con.exe $(BINDEPS) gpredict
+	cp -rp ../data gpredict/share/gpredict
+	cp -rp ../pixmaps gpredict/share/gpredict
+	cp -rp ../po gpredict/share/gpredict
+	mkdir -p gpredict/$(LOADERS)
+	cp -p loaders.cache gpredict/$(LOADERS)
+	cp -rp $(GTKETC) gpredict
+	mkdir -p gpredict/share/glib-2.0
+	cp -rp $(SCHEMAS) gpredict/share/glib-2.0
+	zip -r $@ gpredict
+	rm -rf gpredict
 
 # Use -mconsole to always open a console window when gpredicxt is started
-# Use -mwindows for no copnsole
-gpredict.exe: $(OBJS) gpredict_res.o
-	$(CC) -mconsole -mthreads -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s
-
-gpredict_res.o: gpredict.rc 
-	$(RC) $(RCFLAGS) $< $@
+# Use -mwindows for no console
+gpredict.exe: TARGET:=-mwindows
+gpredict-con.exe: TARGET:=-mconsole
+
+gpredict.exe gpredict-con.exe: $(OBJS) gpredict_res.o
+	$(CC) $(TARGET) -mthreads -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s
+
+gpredict_res.o: gpredict.rc
+	$(RC) $(RCFLAGS) gpredict.rc $@
 
 libgoocanvas.dll: $(GOOCANVOBJ)
 	$(CC) -shared $(CFLAGS) $(GTK_CFLAGS) $(GOOCANVOBJ) $(GTKLIBS) -lm -lmingwex \
@@ -200,7 +228,6 @@
 	-Wl,--enable-auto-image-base -Wl,--out-implib,libsgpsdp.lib -o libsgpsdp.dll
 
 clean:
-	rm -f *.o *.d *.def *.a *.lib *.dll *.exe
-
-
-
+	rm -f *.o *.d *.def *.a *.lib *.dll *.exe *.zip
+	rm -rf gpredict
+
