## gpredict 2.3-33-gca42d22

=== debian/changelog ===
gpredict (2.3-33-gca42d22-1) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * New upstream snapshot.
  * Create packaging repository on salsa.
  * Remove some generated files on clean.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #888043)
    + 0125-skip-configure.patch: Only run ./configure once and let
      dh_auto_configure do it.
    + 0126-cross-pkg-config.patch: Consider $ac_tool_prefix for pkg-config.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Dec 2018 12:53:13 +0100
