=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>,
            Colin Tuckley <colint@debian.org>
 Homepage: http://gpredict.oz9aec.net/
-Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gpredict
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gpredict.git
+Standards-Version: 4.3.0
 Build-Depends: autoconf,
                automake,
                debhelper (>= 10),
