## gpredict 2.3-72-gc596101

=== debian/changelog ===
gpredict (2.3-72-gc596101-3) unstable; urgency=medium

  * Team upload.
  * Set XDG_RUNTIME_DIR to fix lowriter on the buildds.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Feb 2021 20:58:38 +0100

gpredict (2.3-72-gc596101-2) unstable; urgency=medium

  * Team upload.
  * Remove stray $@ from override_dh_auto_configure.
  * Provide PDF documentation. (Closes: #983155)
  * Install doc/notes/*.txt.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Feb 2021 14:30:51 +0100

gpredict (2.3-72-gc596101-1) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * New upstream snapshot compatible with gcc 10. (Closes: #957302)
  * Add debian/gitlab-ci.yml.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.4.1, no changes needed.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Jul 2020 20:33:55 +0200
