=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
 Homepage: http://gpredict.oz9aec.net/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gpredict
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gpredict.git
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Build-Depends: autoconf,
                automake,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                intltool,
                libcurl4-gnutls-dev | libcurl-dev,
                libglib2.0-dev,
                libgoocanvas-2.0-dev,
                libgtk-3-dev,
+               libreoffice-writer,
                libtool,
                pkg-config
