=== debian/rules ===
#!/usr/bin/make -f

# redirect directories lowriter wants to write to
export HOME = $(CURDIR)/debian/home
export XDG_RUNTIME_DIR = $(CURDIR)/debian/home

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	mkdir -p $(HOME)
	cd doc/um && lowriter --headless --convert-to pdf gpredict-user-manual.odt
