## gpredict 2.3-115-g0f3beb6

=== debian/changelog ===
gpredict (2.3-115-g0f3beb6-4) unstable; urgency=medium

  * Team upload.
  * Restore build-dep on libreoffice-writer-nogui
  * Move desktop file from gpredict-doc to gpredict (Closes: #1074555)
  * Add install-svg-icon.patch (Thank you to AsciiWolf)
  * Update build-dep on pkg-config to pkgconf

 -- tony mancill <tmancill@debian.org>  Tue, 16 Jul 2024 19:39:00 -0700

gpredict (2.3-115-g0f3beb6-3) unstable; urgency=medium

  * Team upload.
  * Temporarily build-dep on libreoffice-writer instead of -nogui to
    resolve FTBFS. (See #1058653) (Closes: #1058273)
  * Bump Standards-Version to 4.6.2
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Tue, 12 Dec 2023 14:02:31 -0800

gpredict (2.3-115-g0f3beb6-2) unstable; urgency=medium

  * Mark gpredict-doc M-A: foreign.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Jul 2023 21:35:42 +0200

gpredict (2.3-115-g0f3beb6-1) unstable; urgency=medium

  * New upstream snapshot 2.3-115-g0f3beb6.
  * Build-Depend-Indep on libreoffice-writer-nogui. (Closes: #1040706)
  * Move documentation to separate gpredict-doc package. (Closes: #983763)
  * Add myself to Uploaders, retire Colin. (Closes: #990600)

 -- Christoph Berg <myon@debian.org>  Mon, 10 Jul 2023 10:50:51 +0000
