=== debian/control ===
--- 
+++ 
@@ -3,26 +3,31 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>,
-           Colin Tuckley <colint@debian.org>
+           Christoph Berg <myon@debian.org>,
 Homepage: http://gpredict.oz9aec.net/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gpredict
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gpredict.git
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Build-Depends: autoconf,
                automake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                intltool,
                libcurl4-gnutls-dev | libcurl-dev,
                libglib2.0-dev,
                libgoocanvas-2.0-dev,
                libgtk-3-dev,
-               libreoffice-writer,
                libtool,
-               pkg-config
+               pkgconf
+Build-Depends-Indep:
+ libreoffice-writer-nogui,
+Rules-Requires-Root: no
 
 Package: gpredict
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: gpredict-doc (<< 2.3-115-g0f3beb6-4)
+Breaks: gpredict-doc (<< 2.3-115-g0f3beb6-4)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ gpredict-doc (>= 2.3-115-g0f3beb6-4),
 Recommends: gpsd, libhamlib-utils
 Description: Satellite tracking program
  Gpredict is a real time satellite tracking and orbit prediction program
@@ -44,3 +49,33 @@
   * Detailed information both the real time and non-real time modes
   * Doppler tuning of radios via Hamlib rigctld
   * Antenna rotator control via Hamlib rotctld
+
+Package: gpredict-doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Breaks: gpredict (<< 2.3-115-g0f3beb6-1),
+Replaces: gpredict (<< 2.3-115-g0f3beb6-1),
+Description: Satellite tracking program - documentation
+ Gpredict is a real time satellite tracking and orbit prediction program
+ for the Linux desktop. It uses the SGP4/SDP4 propagation algorithms together
+ with NORAD two-line element sets (TLE).
+ .
+ Some core features of Gpredict include:
+ .
+  * Tracking of a large number of satellites only limited by the physical
+    memory and processing power of the computer
+  * Display the tracking data in lists, maps, polar plots and any combination
+    of these
+  * Have many modules open at the same either in a notebook or in their own
+    windows. The modules can also run in full-screen mode
+  * You can use many ground stations
+  * Predict upcoming passes
+  * Gpredict can run in real-time, simulated real-time (fast forward and
+    backward), and manual time control
+  * Detailed information both the real time and non-real time modes
+  * Doppler tuning of radios via Hamlib rigctld
+  * Antenna rotator control via Hamlib rotctld
+ .
+ This package contains the documentation and other architecture-independent
+ files.
