=== debian/rules ===
#!/usr/bin/make -f

# redirect directories soffice wants to write to
export HOME = $(CURDIR)/debian/home
export XDG_RUNTIME_DIR = $(CURDIR)/debian/home

# for simplicity, compile normally even during indep builds so we get the
# documentation files, and build the pdf manual afterwards

execute_after_dh_auto_build-indep:
	mkdir -p $(HOME)
	cd doc/um && soffice --writer --headless --convert-to pdf gpredict-user-manual.odt

override_dh_auto_test-indep:

%:
	dh $@
