=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%,dversionmangle=s/-.*//" \
 https://github.com/csete/gpredict/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
