## gpredict 2.4

=== debian/changelog ===
gpredict (2.4-2) unstable; urgency=medium

  * Cherry-pick fix to no longer depend on goocanvas-2.0.
    (Closes: #1112439)

 -- Christoph Berg <myon@debian.org>  Thu, 05 Feb 2026 21:07:50 +0000

gpredict (2.4-1) unstable; urgency=medium

  * New upstream version 2.4.

 -- Christoph Berg <myon@debian.org>  Sun, 11 Jan 2026 15:17:41 +0100
