=== debian/control ===
--- 
+++ 
@@ -7,17 +7,16 @@
 Homepage: http://gpredict.oz9aec.net/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gpredict
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gpredict.git
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Build-Depends: autoconf,
                automake,
                debhelper-compat (= 13),
                intltool,
                libcurl4-gnutls-dev | libcurl-dev,
                libglib2.0-dev,
-               libgoocanvas-2.0-dev,
                libgtk-3-dev,
                libtool,
-               pkgconf
+               pkgconf,
 Build-Depends-Indep:
  libreoffice-writer-nogui,
 Rules-Requires-Root: no
